Package org.jsoup.select

# Class Selector.SelectorParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalStateException
org.jsoup.select.Selector.SelectorParseException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Selector`

public static class Selector.SelectorParseException extends IllegalStateException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SelectorParseException(String msg)`
`SelectorParseException(String msg, Object... params)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SelectorParseException

public SelectorParseException(String msg)

### SelectorParseException

public SelectorParseException(String msg, Object... params)